from src.multiples import MultiplesOnDisk
from src.primes import PrimesOnDisk
from src.primesgen import SegmentedEratosthenes


max_val = 100_000_000

primes_block_size = 100_000
mulitples_block_size = 50_000
segment_max_size = 32_000

primes = PrimesOnDisk(primes_block_size)
multiples = MultiplesOnDisk(max_val, mulitples_block_size)
sieve = SegmentedEratosthenes(segment_max_size, primes, multiples)
primes = sieve.primes(max_val)
